% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/bb_labs.R
\name{bb_labs}
\alias{bb_labs}
\title{Quickly set title, axis labels and caption}
\usage{
bb_labs(bb, title = NULL, x = NULL, y = NULL, caption = NULL)
}
\arguments{
\item{bb}{A \code{billboard} \code{htmlwidget} object.}

\item{title}{Plot title.}

\item{x}{Label for x axis.}

\item{y}{Label for y axis.}

\item{caption}{Caption for the chart.}
}
\value{
A \code{billboard} \code{htmlwidget} object.
}
\description{
Quickly set title, axis labels and caption
}
\note{
\code{caption} is not part of the billboard.js library, it is added by the \code{billboarder} package.
}
\examples{
data("prod_par_filiere")

billboarder() \%>\%
  bb_barchart(data = prod_par_filiere[, c("annee", "prod_hydraulique")], color = "#102246") \%>\%
  bb_legend(show = FALSE) \%>\% 
  bb_labs(title = "French hydraulic production", 
          y = "production (in terawatt-hours)",
          caption = "Data source: RTE (https://opendata.rte-france.com)")

}
